# Uses of Class
org.eclipse.swt.printing.Printer

Packages that use Printer
Package
Description
org.eclipse.swt.custom
SWT Custom widgets.

## Uses of Printer in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom with parameters of type Printer
Modifier and Type
Method
Description
`Runnable`
StyledText.`print(Printer printer)`
Returns a runnable that will print the widget's text to the specified printer.
`Runnable`
StyledText.`print(Printer printer, StyledTextPrintOptions options)`
Returns a runnable that will print the widget's text to the specified printer.